
var ua_parse = [
	{re: /(Windows)/i, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_xp.png'},
	{re: /(Windows 2000)()/ig, r:/(Windows NT 5.0|Windows 2000)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_nt.png'},
            {re: /(Windows XP)()/ig, r:/(Windows NT 5.1|Windows XP)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_xp.png'},
            {re: /(Windows Server 2003)()/ig, r:/Windows NT 5.2/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_xp.png'},
            {re: /(Windows Vista)()/ig, r:/Windows NT 6.0/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_vista.png'},
            {re: /(Windows 7)()/ig, r:/(Windows 7|Windows NT 6.1)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_7.png'},
            {re: /(Windows 8)()/ig, r:/(Windows 8|Windows NT 6.2)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_8.png'},
	{re: /(Windows 8.1)()/ig, r:/(Windows 8.1|Windows NT 6.3)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_8.1.png'},
	{re: /(Windows 10)()/ig, r:/(Windows NT 6.4)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/win_8.png'},
            {re: /(Android)()/ig, r:/Android/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/android.png'},
            {re: /(Open BSD)()/ig, r:/OpenBSD/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/open_bsd.png'},
	{re: /(Ubuntu)()/ig, r:/Ubuntu/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/ubuntu.png'},
            {re: /(Xubuntu)()/ig, r:/Xubuntu/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/xubuntu.png'},
            {re: /(Sun OS)()/ig, r:/SunOS/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/sun_os.png'},
            {re: /(Linux)()/ig, r:/(Linux|X11)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/linux.png'},
            {re: /(iOS)()/ig, r:/(iPhone|iPad|iPod)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/apple.png'},
            {re: /(Mac OS X)()/ig, r:/Mac OS X/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/mac_os_x.png'},
            {re: /(Mac OS)()/ig, r:/(MacPPC|MacIntel|Mac_PowerPC|Macintosh)/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/mac_os.png'},
            {re: /(BeOS)()/ig, r:/BeOS/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/be_os.png'},
            {re: /(OS\/2)()/ig, r:/OS\/2/, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/os.png'},
            {re:/(Amigo)\s*(\.|\,?\d+(\.\d+)*)/gi, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/amigo.png'},
	{re: /(firefox)/i, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/firefox.png'},
	{re: /(opera)/i, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/opera.png'},
	{re: /(chrome)/i, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/chrome.png'},
	{re: /(safari)/i, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/safari.png'},
	{re: /(ie|edge)/i, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/ie.png'},
	{re: /(chromium)/i, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/chromium.png'},
	{re: /(yabrowser)/i, sub: PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/yabrowser.png'}
];

$(".user-agent-posts").each(function () {
	var ua = $(this).text();
	var parse_ua = detect.parse(ua);
    var os_marker = parse_ua.os.name;
    var os_img = '';
    for (var i=0; i< ua_parse.length; i++) {
        var key = ua_parse[i].re;
        var val = ua_parse[i].sub;
	    if (os_marker.match(key) != null) {
            var os_img = os_marker.replace(os_marker, ' <img src="' +val+ '" title="' +os_marker+ '" alt="" /> ');
        } 
    }
	
	var br_marker = parse_ua.browser.name;
    var br_img = '';
    for (var i=0; i< ua_parse.length; i++) {
        var key = ua_parse[i].re;
        var val = ua_parse[i].sub;
	    if (br_marker.match(key) != null) {
            var br_img = br_marker.replace(br_marker, ' <img src="' +val+ '" title="' +br_marker+ '" alt="" /> ');
        } 
    }
	
	var type_img = '';
	if (parse_ua.device.type == 'Desktop') {
	    var type_img = ' <img src="'+PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/desktop.png" title="' +parse_ua.device.type+ '" alt="" /> ';
	} else if (parse_ua.device.type == 'Tablet') {
		var type_img = ' <img src="'+PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/tablet.png" title="' +parse_ua.device.type+ '" alt="" /> ';
	} else if (parse_ua.device.type == 'Mobile') {
		var type_img = ' <img src="'+PUNBB.env.base_url+'/extensions/detect_post_author_device_params/css/img/mobile.png" title="' +parse_ua.device.type+ '" alt="" /> ';
	}

    $(this).html(type_img+' '+os_img+' '+br_img);
});
